uniform mat4 projectionMatrix;
uniform mat4 modelviewMatrix;
uniform vec4 backgroundParams;
uniform mat2 backgroundRotate;
uniform float brightness;

attribute vec4 aPosition;
attribute vec4 aColor;
attribute vec3 aNormal;
attribute vec2 aTexcoord;

varying vec2 vTexcoordShadow;
varying vec2 vTexcoordBackground;
varying vec4 vColor;

void main()
{
	vColor = aColor * (dot(normalize(aNormal), vec3(-0.5,0.5,1.0))*0.8 + 0.2) * brightness;
	
	vTexcoordShadow = aTexcoord;
	vTexcoordBackground = ((aTexcoord-0.5) * backgroundRotate) * backgroundParams.xy + 0.5 + backgroundParams.zw;
    gl_Position = projectionMatrix*modelviewMatrix*aPosition;
}
