

uniform mat4 projectionMatrix;
uniform mat4 modelviewMatrix;

attribute vec4 aPosition;
attribute vec3 aNormal;

varying vec2 vTexcoord;
varying vec4 vColor;

void main()
{
	vec3 vPosition = (modelviewMatrix * aPosition).xyz;
	vec3 vNormal = (modelviewMatrix * vec4(aNormal,0.0)).xyz;
	vColor = vec4(1.0,1.0,1.0,1.0) * dot(vNormal, vec3(0.0,1.0,0.0));
    gl_Position = projectionMatrix*vec4(vPosition, 1.0);
}
