#ifdef GL_ES
precision mediump float;
#define PRECISION mediump
#else
#define PRECISION
#endif

varying PRECISION vec4 vPosition;
varying PRECISION vec3 vNormal;
varying PRECISION vec2 vTexcoord;
varying PRECISION vec2 vTexcoordShadow;
uniform sampler2D colortex;
uniform sampler2D shadowtex;

void main() {
	vec4 surface = texture2D(colortex, vTexcoord);


	vec3 normal = normalize(vNormal)+(surface.rgb)*0.1;
 	float diffuse = dot(normal, vec3(-0.5,0.5,1.0)) * 0.4 + 0.4;
 	
 	diffuse *= mix(texture2D(shadowtex, vTexcoordShadow).r, 1.0, clamp(0.0,1.0,vPosition.z*2.0+8.0));
 	
 	vec4 vSpecular = vec4(1.0,1.0,1.0,1.0) * pow(dot(normal, vec3(-0.25,0.25,1.0)),16.0)*0.15;

	gl_FragColor = 
		(diffuse * surface  + vSpecular) * clamp(0.0,1.0,vPosition.z*2.0+9.0);

}


