#ifdef GL_ES
precision mediump float;
#define PRECISION mediump
#else
#define PRECISION
#endif

varying PRECISION vec4 vPosition;
varying PRECISION vec3 vNormal;
varying PRECISION vec2 vTexcoord;
varying PRECISION vec2 vTexcoordShadow;
uniform sampler2D colortex;
uniform sampler2D shadowtex;
uniform samplerCube reflectiontex;
uniform vec3 sphereColor0;

void main() {
	vec4 surface = texture2D(colortex, vTexcoord);


	vec3 normal = normalize(vNormal)+(surface.rgb-0.5)*0.1;
 	float diffuse = dot(normal, vec3(-0.5,0.5,1.0)) * 0.5 + 0.5;
 	
 	diffuse *= mix(texture2D(shadowtex, vTexcoordShadow).r, 1.0, vPosition.z*2.0+8.0);
	vec4 refraction = textureCube(reflectiontex, vec3(normal.xy*(normal.zz-0.2)*1.0,-1.0-normal.z) ) ;

	float tint = (1.0-normal.z*normal.z*0.5);
	gl_FragColor = 
		(refraction) *vec4(sphereColor0,1.0)*diffuse*diffuse * tint *3.5;


}


