uniform mat4 projectionMatrix;
uniform mat4 modelviewMatrix;

attribute vec4 aPosition;
attribute vec4 aColor;
attribute vec3 aNormal;

varying vec4 vColor;
varying vec3 vNormal;

uniform vec3 sphereColor1;
uniform vec3 sphereColor2;
uniform vec3 sphereColor3;


void main()
{
 	vColor = vec4(sphereColor1 * aColor.r + sphereColor2 * aColor.g + sphereColor3 * aColor.b, 1.0);
	vNormal = normalize((modelviewMatrix * vec4(aNormal,0.0)).xyz);
 	vec4 vPosition = modelviewMatrix * vec4(aPosition.xyz,0.0);
 	vPosition.xy *= (0.8-vPosition.z*6.0-length(vPosition.xy)*1.0);
 	vPosition += modelviewMatrix[3];
    gl_Position = projectionMatrix * vPosition;
}
