uniform mat4 projectionMatrix;
uniform mat4 modelviewMatrix;

attribute vec4 aPosition;
attribute vec3 aNormal;

varying vec3 vNormal;
varying vec2 vTexcoord;


void main()
{
	vNormal = normalize((modelviewMatrix * vec4(aNormal,0.0)).xyz);
 	vTexcoord = vec2(aPosition.x, aPosition.y)*0.5+0.5;
 	vec4 vPosition = modelviewMatrix*aPosition;
    gl_Position = projectionMatrix * vPosition;
}
