#ifdef GL_ES
precision mediump float;
#define PRECISION mediump
#else
#define PRECISION
#endif

varying PRECISION vec4 vPosition;
varying PRECISION vec3 vNormal;
varying PRECISION vec2 vTexcoord;
varying PRECISION vec2 vTexcoordShadow;
uniform sampler2D colortex;
uniform sampler2D shadowtex;
uniform samplerCube reflectiontex;
uniform vec3 sphereColor0;

void main() {
	vec4 surface = texture2D(colortex, vTexcoord);


	vec3 normal = normalize(vNormal)-(surface.rgb-0.5)*0.1;
 	float diffuse = dot(normal, vec3(-0.5,0.5,1.0)) * 1.22 + 1.5;
 	
 	diffuse *= mix(texture2D(shadowtex, vTexcoordShadow).r, 1.0, vPosition.z*2.0+8.0);
	vec4 reflection = textureCube(reflectiontex, reflect(vec3(0.0,0.0,-1.0),normal));

	gl_FragColor = 
		reflection*diffuse*vec4(sphereColor0*0.9+0.1,1.0);


}


