uniform mat4 projectionMatrix;
uniform mat4 modelviewMatrix;

attribute vec4 aPosition;
attribute vec3 aNormal;

varying vec4 vPosition;
varying vec3 vNormal;
varying vec2 vTexcoord;
varying vec2 vTexcoordShadow;

uniform vec2 scale;
uniform mat2 rotate;


void main()
{
	vNormal = normalize((modelviewMatrix * vec4(aNormal,0.0)).xyz);
 	vTexcoord = vec2(aPosition.x, aPosition.y)*0.5+0.5;
 	vTexcoordShadow = rotate * (modelviewMatrix * aPosition).xy*0.5 * scale+vec2(0.5,0.5);
 	vPosition = modelviewMatrix*aPosition;
    gl_Position = projectionMatrix * vPosition;
}
