

uniform mat4 projectionMatrix;
uniform mat4 modelviewMatrix;
uniform vec3 lightPosition;
uniform vec3 shadowPlaneOrigin;
uniform vec3 shadowPlaneNormal;
uniform vec4 textColor;

attribute vec4 aPosition;
attribute vec2 aTexcoord;

varying vec2 vTexcoord;
varying vec4 vColor;


void main()
{
	vec3 vPosition = (modelviewMatrix * aPosition).xyz;
	vColor = textColor / (1.0 + dot(vPosition-shadowPlaneOrigin, shadowPlaneNormal));

	vPosition -= lightPosition;
	
	vPosition = lightPosition + (vPosition) * dot(shadowPlaneOrigin-lightPosition, shadowPlaneNormal) / 
											dot(vPosition, shadowPlaneNormal);
	
	vTexcoord = aTexcoord;
    gl_Position = projectionMatrix*vec4(vPosition, 1.0);
}
