uniform mat4 projectionMatrix;
uniform mat4 modelviewMatrix;

attribute vec4 aPosition;
attribute vec3 aNormal;

varying vec4 vColor;
varying vec3 vTexcoordShadow;
varying vec2 vTexcoordBackground;

uniform vec2 scale;
uniform float brightness;


void main()
{
 	vColor = (vec4(1.0,1.0,1.0,1.0) * dot(normalize(aNormal), normalize(vec3(-0.5,0.5,1.0)))*0.5+0.5)* brightness;
 	
 	vTexcoordShadow = vec3(aPosition.xy * scale*0.5+0.5, clamp(1.0-aPosition.z*6.0,0.0,1.0));
 	 	
	vTexcoordBackground = vec2(vTexcoordShadow.x+vTexcoordShadow.y, vTexcoordShadow.z*0.5*(0.1-aNormal.z)+aNormal.z*0.2)*0.4;
    gl_Position = projectionMatrix*modelviewMatrix*aPosition;
}
