uniform mat4 projectionMatrix;
uniform mat4 modelviewMatrix;
uniform vec4 backgroundParams;
uniform mat2 backgroundRotate;

attribute vec4 aPosition;
attribute vec3 aNormal;
attribute vec2 aTexcoord;

varying vec4 vColor;
varying vec3 vNormal;
varying vec3 vTexcoordShadow;
varying vec2 vTexcoordBackground;

uniform vec2 scale;
uniform float brightness;

void main()
{
	vNormal = (modelviewMatrix*vec4(aNormal, 0.0)).xyz;
 	vColor = (vec4(1.0,1.0,1.0,1.0) * dot(normalize(aNormal), normalize(vec3(-0.5,0.5,1.0)))*0.5+0.5)* brightness;
 	
 	vTexcoordShadow = vec3(aPosition.xy * scale*0.5+0.5, clamp(1.0-aPosition.z*6.0,0.0,1.0));
 	 	
	vTexcoordBackground = ((aTexcoord-0.5) * backgroundRotate) * backgroundParams.xy + 0.5 + backgroundParams.zw;
    gl_Position = projectionMatrix*modelviewMatrix*aPosition;
}
